> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/flashblocks.md).

# Flashblocks

- [Overview](https://docs.getblock.io/flashblocks/overview.md): GetBlock exposes Flashblocks' data on supported OP Stack networks through the standard JSON-RPC and WebSocket interfaces.
- [Base Flashblocks](https://docs.getblock.io/flashblocks/base-flashblocks.md): Flashblocks-specific RPC methods, WebSocket subscriptions, and the infrastructure stream schema for Base pre-confirmations.
- [Optimism Flashblocks.](https://docs.getblock.io/flashblocks/optimism-flashblocks..md): Flashblocks-specific RPC methods, WebSocket subscriptions, and the infrastructure stream schema for Optimism pre-confirmations.
- [Flashblocks API](https://docs.getblock.io/flashblocks/flashblocks-api.md): Flashblocks API on the Base network: fetch the latest in-progress block, including all preconfirmed transactions. Quickstart examples in JavaScript and Python
- [eth\_getTransactionCount - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_gettransactioncount-flashblocks.md): Example code for the eth\_getTransactionCount Flashblocks method. Complete guide on how to use eth\_getTransactionCount Flashblocks in GetBlock Web3 documentation.
- [eth\_getStorageAt - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getstorageat-flashblocks.md): Example code for the eth\_getStorageAt Flashblock method. Complete guide on how to use eth\_getStorageAt Flashblock in GetBlock Web3 documentation.
- [eth\_getBalance - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getbalance-flashblocks.md): Example code for the eth\_getBalance Flashblocksmethod. Complete guide on how to use eth\_getBalance Flashblocks in GetBlock Web3 documentation.
- [eth\_getBlockByNumber - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getblockbynumber-flashblocks.md): Example code for the eth\_getBlockByNumber Flashblocks method. Complete guide on how to use eth\_getBlockByNumber  Flashblocks in GetBlock Web3 documentation.
- [eth\_getBlockReceipt - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getblockreceipt-flashblocks.md): Example code for the eth\_getBlockReceipt  Flashblocks method. Complete guide on how to use eth\_getBlockReceipt Flashblocks in GetBlock Web3 documentation.
- [eth\_getBlockTransactionCountByNumber - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getblocktransactioncountbynumber-flashblocks.md): Example code for eth\_getBlockTransactionCountByNumber Flashblocks method. Complete guide on how to use eth\_getBlockTransactionCountByNumber Flashblocks in GetBlock Web3 documentation.
- [eth\_estimateGas - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_estimategas-flashblocks.md): Example code for the eth\_estimateGas - Flashblocks method. Complete guide on how to use eth\_estimateGas - Flashblocks in GetBlock Web3 documentation.
- [eth\_call - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_call-flashblocks.md): Example code for the eth\_call - Flashblocks method. Complete guide on how to use eth\_call - Flashblocks in GetBlock Web3 documentation.
- [eth\_simulateV1 - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_simulatev1-flashblocks.md): Example code for the eth\_simulateV1 - Flashblocks method. Complete guide on how to use eth\_simulateV1 - Flashblocks in GetBlock Web3 documentation.
- [eth\_getLogs - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getlogs-flashblocks.md): Example code for the eth\_getLogs JSON-RPC method. Complete guide on how to use eth\_getLogs JSON-RPC in GetBlock Web3 documentation.
- [eth\_getCode - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_getcode-flashblocks.md): Example code for the eth\_getCode JSON-RPC method. Complete guide on how to use eth\_getCode JSON-RPC in GetBlock Web3 documentation.
- [newFlashblocks - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/newflashblocks-flashblocks.md): Example code for the newFlashblocks Flashblocks method. Complete guide on how to use newFlashblocks Flashblocks in GetBlock Web3 documentation.
- [pendingLogs - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/pendinglogs-flashblocks.md): Example code for the pendingLogs Flashblocks method. Complete guide on how to use pendingLogs  Flashblocks in GetBlock Web3 documentation.
- [newFlashblockTransactions - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/newflashblocktransactions-flashblocks.md): Example code for the newFlashblockTransactions Flashblocks method. Complete guide on how to use newFlashblockTransactions Flashblocks in GetBlock Web3 documentation.
- [eth\_unsubscribe - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/eth_unsubscribe-flashblocks.md): Example code for the eth\_unsubscribe Flashblocks method. Complete guide on how to use eth\_unsubscribe Flashblocks in GetBlock Web3 documentation.
- [base\_transactionStatus - Flashblocks](https://docs.getblock.io/flashblocks/flashblocks-api/base_transactionstatus-flashblocks.md): Example code for the base\_transactionStatus Flashblocks method. Complete guide on how to use base\_transactionStatus Flashblocks in GetBlock Web3 documentation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/flashblocks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
